Bug 1469576 - [Docs][RFE][NFV] Document introspection details for getting NUMA details [NEEDINFO]
[Docs][RFE][NFV] Document introspection details for getting NUMA details
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: ga
: 12.0 (Pike)
Assigned To: Sandra McCann
Charelle Collett
docs-accepted
: Documentation, FutureFeature, Triaged
Depends On: 1384848
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 10:07 EDT by Sandra McCann
Modified: 2017-09-22 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
samccann: needinfo? (skramaja)


Attachments (Terms of Use)

  None (edit)
Description Sandra McCann 2017-07-11 10:07:30 EDT
Latest Ironic update includes the ability to pull in the NUMA details for a bare metal node. The information retrieved includes the NUMA nodes, cpus (and sibling threads) associated with each NUMA node, and PCI devices associated with the NUMA node.

Document how to gather this information (enable the optional `Numa topology collector`_ via``ipa-inspection-collectors`` kernel argument in ironic), and how to use the retrieved data to determine NFV heat template parameters for OVS-DPDK deployments.
Comment 2 Red Hat Bugzilla Rules Engine 2017-08-02 00:14:59 EDT
This bugzilla has been removed from the release since it has not been triaged, and needs to be reviewed for targeting another release.
Comment 3 Lucy Bopf 2017-08-08 00:33:05 EDT
Assigning to Sandra for review.

Note You need to log in before you can comment on or make changes to this bug.